org.optaplanner.core.impl.score.stream.drools.bi

## Class DroolsBiCondition<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.bi.DroolsBiCondition<A,B>

-     public final class DroolsBiCondition<A,B>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsBiCondition(org.drools.model.Declaration<DroolsLogicalTuple> aVariableDeclaration, Function<org.drools.model.Declaration<DroolsLogicalTuple>,org.drools.model.PatternDSL.PatternDef<DroolsLogicalTuple>> patternProvider)`
    `DroolsBiCondition(DroolsMetadata<Object,A> aMetadata, DroolsMetadata<Object,B> bMetadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DroolsBiCondition<A,B>` | `andFilter(BiPredicate<A,B> predicate)`
    `<C> DroolsTriCondition<A,B,C>` | `andJoin(DroolsUniCondition<C> cCondition, AbstractTriJoiner<A,B,C> triJoiner)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, BiFunction<A,B,BigDecimal> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToIntBiFunction<A,B> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToLongBiFunction<A,B> matchWeighter)`
    `DroolsMetadata<Object,A>` | `getAMetadata()`
    `DroolsMetadata<Object,B>` | `getBMetadata()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsBiCondition

          public DroolsBiCondition(DroolsMetadata<Object,A> aMetadata,
                                   DroolsMetadata<Object,B> bMetadata)

    - #### DroolsBiCondition

          public DroolsBiCondition(org.drools.model.Declaration<DroolsLogicalTuple> aVariableDeclaration,
                                   Function<org.drools.model.Declaration<DroolsLogicalTuple>,org.drools.model.PatternDSL.PatternDef<DroolsLogicalTuple>> patternProvider)

  - ### Method Detail

    - #### getAMetadata

          public DroolsMetadata<Object,A> getAMetadata()

    - #### getBMetadata

          public DroolsMetadata<Object,B> getBMetadata()

    - #### andFilter

          public DroolsBiCondition<A,B> andFilter(BiPredicate<A,B> predicate)

    - #### andJoin

          public <C> DroolsTriCondition<A,B,C> andJoin(DroolsUniCondition<C> cCondition,
                                                       AbstractTriJoiner<A,B,C> triJoiner)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToIntBiFunction<A,B> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToLongBiFunction<A,B> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               BiFunction<A,B,BigDecimal> matchWeighter)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.